import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class MagicGarden extends World
{
    private int spawnTimer = 0;
    private GreenfootSound hintergrundmusik = new GreenfootSound("hidden-refugium.mp3");

    public MagicGarden()
    {    
        super(1280, 720, 1); 

        prepare();
    }

    public void started() {
        this.hintergrundmusik.playLoop();
    }

    public void stopped() {
        this.hintergrundmusik.stop();
    }

    /**
     * Bereite die Welt für den Programmstart vor.
     * Das heißt: Erzeuge die Anfangs-Objekte und füge sie der Welt hinzu.
     */
    private void prepare()
    {
        Giesskanne giesskanne = new Giesskanne();
        addObject(giesskanne,176,582);

        Vogel vogel = new Vogel("Hansi", "Smith");
        addObject(vogel,200,347);

        MagischerBaum magischerBaum = new MagischerBaum(730);
        addObject(magischerBaum,401,102);

        Truhe truhe = new Truhe(Greenfoot.getRandomNumber(30) + 1);
        addObject(truhe,777,134);

        VertrockneteBlume vertrockneteBlume = new VertrockneteBlume(Greenfoot.getRandomNumber(1) == 1);
        addObject(vertrockneteBlume,1049,303);

        BluehBlume bluehBlume = new BluehBlume();
        addObject(bluehBlume,1106, 579);

        Gaertnerin gaertnerin = new Gaertnerin();
        addObject(gaertnerin,619,486);

    }
}